{"command":{"effect":"read","timeoutSeconds":30,"inputSchema":{"type":"object","description":"List instances of a custom object type. Three modes are supported:\n- **No filter** — returns all instances for the type.\n- **`references_contact_id`** — returns instances associated with the given contact.\n- **`references_conversation_id`** — returns instances associated with the given conversation.\n\nWhen **`external_id`** is provided, returns a single matching instance (not a list). If no instance matches, the response is still `200`, with the same body the single-instance endpoint returns for a miss.\n\nRequires the `read_conversations`, `read_users_companies`, `read_write_custom_object_instances` or `read_write_users` OAuth scope.\n","properties":{"path":{"type":"object","properties":{"custom_object_type_identifier":{"type":"string","examples":["Order"],"description":"The unique identifier of the custom object type that defines the structure of the custom object instance."}},"required":["custom_object_type_identifier"],"additionalProperties":false},"query":{"type":"object","properties":{"references_contact_id":{"type":"string","description":"Return instances associated with the given contact ID."},"references_conversation_id":{"type":"string","description":"Return instances associated with the given conversation ID."},"external_id":{"type":"string","description":"Return the single instance with this external ID. When provided, the response is a single object rather than a list."},"page":{"type":"integer","description":"Page number of results to fetch."},"per_page":{"type":"integer","maximum":150,"description":"Number of results per page. Maximum 150."}},"required":[],"additionalProperties":false},"headers":{"type":"object","properties":{"Intercom-Version":{"$ref":"#/definitions/intercom_version","enum":["2.17"]}},"required":[],"additionalProperties":false}},"required":["path"],"additionalProperties":false,"definitions":{"intercom_version":{"description":"Intercom API version.</br>If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.","type":"string","enum":["1.0","1.1","1.2","1.3","1.4","2.0","2.1","2.2","2.3","2.4","2.5","2.6","2.7","2.8","2.9","2.10","2.11","2.12","2.13","2.14","2.15","2.16","2.17"],"examples":["2.17"]}}},"name":"List Custom Object Instances","id":"intercom.listcustomobjectinstances","example":{"path":{"custom_object_type_identifier":"Order"}},"maxRequests":1,"summary":false}}